<?php

// I18N support information here
// Obtengo idioma del navegador
$lang = $language->getURLLang();

// save language preference for future page requests
$language->setSessionLang($lang);

$_SESSION["lang"] = $lang;

$lang .= '.utf8';
putenv("LANG=" . $lang);
// IMPORTANTE: ESTABLECER SOLO LC_MESSAGES ¡MESSAGES! Que si no se lía con los decimales
setlocale(LC_MESSAGES, $lang);

$directory = dirname(__FILE__) . '/Locale';

// Establecemos los dominios
$domain = "messages";

//Vinculamos los dominios
bindtextdomain($domain, $directory);

// Vinculamos la codificacion de los dominios
bind_textdomain_codeset($domain, 'UTF-8');

//Establecemos el dominio a utilizar
textdomain($domain);

if (!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
} else {
    echo "<script type=\"text/javascript\">var LANG = '" . substr($lang, 0, 2) . "';</script>";
}
